Page MenuHomePhabricator

Basic depicts support for campaigns in UploadWizard
Open, HighPublic

Description

Some background - a 'campaign' is a thing set up by an admin on commons, and it's aimed at getting people to upload images based on a certain theme.

Here's a korean campaign from a while ago https://commons.wikimedia.org/wiki/Campaign:ko If you click on 'Upload' you'll be brought to the UploadWizard configured for that campaign

The configuration is setup on-wiki by the campaign admin - for example you can set it up so that images uploaded under a campaign can have a set of allowed licenses, or so that everything uploaded in a campaign will be put into particular categories.

Now that we've added support for 'depicts' statements, we want to provide (very basic, at first) support for depicts in campaigns. What this amounts to at the start is basically that a campaign admin can decide to turn 'depicts' support on or off.

They can do so by going to the campaign config page on-wiki and editing the json there. Here's an example on labs https://federated-commons.wmflabs.org/w/index.php?title=Campaign:without-depicts&action=edit - the "depicts": false here means that if you go to the UploadWizard page for the campaign there'll be no step to add/edit depicts statements. If you change that to true and save it then the user should be able to add/edit depicts statements in one of the steps in UploadWizard

Acceptance criteria:

  • campaign creator can configure basic depicts support to be on or off for a campaign

(working example: https://federated-commons.wmflabs.org/w/index.php?title=Campaign:without-depicts&action=edit)

  • user can click on a campaign link, upload 1 or more images, and as part of that process will get to a metadata step where they can enter 'depicts' tags for each image

(working example: https://federated-commons.wmflabs.org/wiki/Campaign:with-depicts)

  • user can click on a campaign link, upload 1 or more images, and as part of that process will NOT get to a metadata step

(working example: https://federated-commons.wmflabs.org/wiki/Campaign:without-depicts)

Out of scope:

  • default values for depicts
  • requiring the user to enter depicts data

QA Results

ACStatusDetails
1T219368#5149677
2T219368#5149677
3T219368#5149677

Event Timeline

Cparle created this task.Mar 27 2019, 11:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 11:26 AM
Cparle renamed this task from Assess depicts support for campaigns in UploadWizard to Assess basic depicts support for campaigns in UploadWizard.Mar 27 2019, 11:51 AM
Cparle updated the task description. (Show Details)
Cparle updated the task description. (Show Details)Mar 27 2019, 11:55 AM
Cparle renamed this task from Assess basic depicts support for campaigns in UploadWizard to Basic depicts support for campaigns in UploadWizard.Mar 27 2019, 12:25 PM
Cparle updated the task description. (Show Details)
Cparle updated the task description. (Show Details)

Change 471919 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Add new metadata step

https://gerrit.wikimedia.org/r/471919

Cparle moved this task from Untriaged to Triaged on the Multimedia board.Mar 27 2019, 3:29 PM
Cparle updated the task description. (Show Details)Mar 27 2019, 3:59 PM
Cparle updated the task description. (Show Details)
Ramsey-WMF triaged this task as High priority.Mar 28 2019, 2:51 PM

Change 471919 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add new metadata step

https://gerrit.wikimedia.org/r/471919

Change 500008 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Add metadata config to campaigns schema

https://gerrit.wikimedia.org/r/500008

Change 500008 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add metadata config to campaigns schema

https://gerrit.wikimedia.org/r/500008

matthiasmullie moved this task from Code Review to Needs QA on the Multimedia-Current-Work board.
matthiasmullie added a subscriber: matthiasmullie.
Edtadros reassigned this task from Edtadros to Cparle.Apr 4 2019, 2:19 PM
Edtadros added a subscriber: Edtadros.

Reassigning to @Cparle to add "newbie" QA steps.

Cparle updated the task description. (Show Details)Apr 5 2019, 8:30 AM
Restricted Application added a subscriber: revi. · View Herald TranscriptApr 5 2019, 8:30 AM
Cparle reassigned this task from Cparle to Edtadros.Apr 17 2019, 10:33 AM

Is that clear enough now @Edtadros ?

@Cparle Thanks!

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):
✅ AC1: campaign creator can configure basic depicts support to be on or off for a campaign
(working example: https://federated-commons.wmflabs.org/w/index.php?title=Campaign:without-depicts&action=edit)

✅ AC2: user can click on a campaign link, upload 1 or more images, and as part of that process will get to a metadata step where they can enter 'depicts' tags for each image
(working example: https://federated-commons.wmflabs.org/wiki/Campaign:with-depicts)

✅ AC3: user can click on a campaign link, upload 1 or more images, and as part of that process will NOT get to a metadata step
(working example: https://federated-commons.wmflabs.org/wiki/Campaign:without-depicts)

Edtadros reassigned this task from Edtadros to Ramsey-WMF.May 1 2019, 12:00 PM
Edtadros updated the task description. (Show Details)

@Ramsey-WMF this is verified working on labs - do we need to verify it on beta/test-commons too?

Yes.

@Ramsey-WMF this is verified working on labs - do we need to verify it on beta/test-commons too?

Ramsey-WMF moved this task from To Do to Doing on the SDC Engineering board.May 15 2019, 6:20 PM
Ramsey-WMF moved this task from Doing to Verify on Production on the SDC Engineering board.

Need to find a user with campaign creation rights on production to test this there.

Need to find a user with campaign creation rights on production to test this there.

I volunteer :)

Also, I’m more that happy to grant the upwizcampeditors bit on Commons for a few months so that you can access Campaigns.